diff -upr ioquake3svn1438/code/cgame/cg_players.c ioquake3serverFix/code/cgame/cg_players.c
--- ioquake3svn1438/code/cgame/cg_players.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_players.c	2008-08-09 11:28:23.000000000 -0500
@@ -314,7 +314,7 @@ static qboolean	CG_FindClientModelFile( 
 	char *team, *charactersFolder;
 	int i;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		switch ( ci->team ) {
 			case TEAM_BLUE: {
 				team = "blue";
@@ -333,33 +333,33 @@ static qboolean	CG_FindClientModelFile( 
 	while(1) {
 		for ( i = 0; i < 2; i++ ) {
 			if ( i == 0 && teamName && *teamName ) {
-				//								"models/players/characters/sergei/stroggs/lower_lily_red.skin"
+				//								"models/players/characters/james/stroggs/lower_lily_red.skin"
 				Com_sprintf( filename, length, "models/players/%s%s/%s%s_%s_%s.%s", charactersFolder, modelName, teamName, base, skinName, team, ext );
 			}
 			else {
-				//								"models/players/characters/sergei/lower_lily_red.skin"
+				//								"models/players/characters/james/lower_lily_red.skin"
 				Com_sprintf( filename, length, "models/players/%s%s/%s_%s_%s.%s", charactersFolder, modelName, base, skinName, team, ext );
 			}
 			if ( CG_FileExists( filename ) ) {
 				return qtrue;
 			}
-			if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+			if ( cgs.gametype >= GT_TEAM ) {
 				if ( i == 0 && teamName && *teamName ) {
-					//								"models/players/characters/sergei/stroggs/lower_red.skin"
+					//								"models/players/characters/james/stroggs/lower_red.skin"
 					Com_sprintf( filename, length, "models/players/%s%s/%s%s_%s.%s", charactersFolder, modelName, teamName, base, team, ext );
 				}
 				else {
-					//								"models/players/characters/sergei/lower_red.skin"
+					//								"models/players/characters/james/lower_red.skin"
 					Com_sprintf( filename, length, "models/players/%s%s/%s_%s.%s", charactersFolder, modelName, base, team, ext );
 				}
 			}
 			else {
 				if ( i == 0 && teamName && *teamName ) {
-					//								"models/players/characters/sergei/stroggs/lower_lily.skin"
+					//								"models/players/characters/james/stroggs/lower_lily.skin"
 					Com_sprintf( filename, length, "models/players/%s%s/%s%s_%s.%s", charactersFolder, modelName, teamName, base, skinName, ext );
 				}
 				else {
-					//								"models/players/characters/sergei/lower_lily.skin"
+					//								"models/players/characters/james/lower_lily.skin"
 					Com_sprintf( filename, length, "models/players/%s%s/%s_%s.%s", charactersFolder, modelName, base, skinName, ext );
 				}
 			}
@@ -389,7 +389,7 @@ static qboolean	CG_FindClientHeadFile( c
 	char *team, *headsFolder;
 	int i;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		switch ( ci->team ) {
 			case TEAM_BLUE: {
 				team = "blue";
@@ -423,7 +423,7 @@ static qboolean	CG_FindClientHeadFile( c
 			if ( CG_FileExists( filename ) ) {
 				return qtrue;
 			}
-			if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+			if ( cgs.gametype >= GT_TEAM ) {
 				if ( i == 0 &&  teamName && *teamName ) {
 					Com_sprintf( filename, length, "models/players/%s%s/%s%s_%s.%s", headsFolder, headModelName, teamName, base, team, ext );
 				}
@@ -657,7 +657,7 @@ static void CG_LoadClientInfo( int clien
 
 	teamname[0] = 0;
 #ifdef MISSIONPACK
-	if( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if( cgs.gametype >= GT_TEAM) {
 		if( ci->team == TEAM_BLUE ) {
 			Q_strncpyz(teamname, cg_blueTeamName.string, sizeof(teamname) );
 		} else {
@@ -675,7 +675,7 @@ static void CG_LoadClientInfo( int clien
 		}
 
 		// fall back to default team name
-		if( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if( cgs.gametype >= GT_TEAM) {
 			// keep skin name
 			if( ci->team == TEAM_BLUE ) {
 				Q_strncpyz(teamname, DEFAULT_BLUETEAM_NAME, sizeof(teamname) );
@@ -704,7 +704,7 @@ static void CG_LoadClientInfo( int clien
 
 	// sounds
 	dir = ci->modelName;
-	fallback = (cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) ? DEFAULT_TEAM_MODEL : DEFAULT_MODEL;
+	fallback = (cgs.gametype >= GT_TEAM) ? DEFAULT_TEAM_MODEL : DEFAULT_MODEL;
 
 	for ( i = 0 ; i < MAX_CUSTOM_SOUNDS ; i++ ) {
 		s = cg_customSoundNames[i];
@@ -780,7 +780,7 @@ static qboolean CG_ScanForExistingClient
 			&& !Q_stricmp( ci->headSkinName, match->headSkinName ) 
 			&& !Q_stricmp( ci->blueTeam, match->blueTeam ) 
 			&& !Q_stricmp( ci->redTeam, match->redTeam )
-			&& (cgs.gametype < GT_TEAM || cgs.ffa_gt==1 || ci->team == match->team) ) {
+			&& (cgs.gametype < GT_TEAM || ci->team == match->team) ) {
 			// this clientinfo is identical, so use it's handles
 
 			ci->deferred = qfalse;
@@ -818,7 +818,7 @@ static void CG_SetDeferredClientInfo( in
 			 Q_stricmp( ci->modelName, match->modelName ) ||
 //			 Q_stricmp( ci->headModelName, match->headModelName ) ||
 //			 Q_stricmp( ci->headSkinName, match->headSkinName ) ||
-			 (cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1 && ci->team != match->team) ) {
+			 (cgs.gametype >= GT_TEAM && ci->team != match->team) ) {
 			continue;
 		}
 		// just load the real info cause it uses the same models and skins
@@ -827,14 +827,14 @@ static void CG_SetDeferredClientInfo( in
 	}
 
 	// if we are in teamplay, only grab a model if the skin is correct
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		for ( i = 0 ; i < cgs.maxclients ; i++ ) {
 			match = &cgs.clientinfo[ i ];
 			if ( !match->infoValid || match->deferred ) {
 				continue;
 			}
 			if ( Q_stricmp( ci->skinName, match->skinName ) ||
-				(cgs.gametype >= GT_TEAM && cgs.ffa_gt != 1 && ci->team != match->team) ) {
+				(cgs.gametype >= GT_TEAM && ci->team != match->team) ) {
 				continue;
 			}
 			ci->deferred = qtrue;
@@ -945,7 +945,7 @@ void CG_NewClientInfo( int clientNum ) {
 		char modelStr[MAX_QPATH];
 		char *skin;
 
-		if( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if( cgs.gametype >= GT_TEAM ) {
 			Q_strncpyz( newInfo.modelName, DEFAULT_TEAM_MODEL, sizeof( newInfo.modelName ) );
 			Q_strncpyz( newInfo.skinName, "default", sizeof( newInfo.skinName ) );
 		} else {
@@ -960,7 +960,7 @@ void CG_NewClientInfo( int clientNum ) {
 			Q_strncpyz( newInfo.modelName, modelStr, sizeof( newInfo.modelName ) );
 		}
 
-		if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1 ) {
+		if ( cgs.gametype >= GT_TEAM ) {
 			// keep skin name
 			slash = strchr( v, '/' );
 			if ( slash ) {
@@ -989,7 +989,7 @@ void CG_NewClientInfo( int clientNum ) {
 		char modelStr[MAX_QPATH];
 		char *skin;
 
-		if( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if( cgs.gametype >= GT_TEAM ) {
 			Q_strncpyz( newInfo.headModelName, DEFAULT_TEAM_MODEL, sizeof( newInfo.headModelName ) );
 			Q_strncpyz( newInfo.headSkinName, "default", sizeof( newInfo.headSkinName ) );
 		} else {
@@ -1004,7 +1004,7 @@ void CG_NewClientInfo( int clientNum ) {
 			Q_strncpyz( newInfo.headModelName, modelStr, sizeof( newInfo.headModelName ) );
 		}
 
-		if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if ( cgs.gametype >= GT_TEAM ) {
 			// keep skin name
 			slash = strchr( v, '/' );
 			if ( slash ) {
@@ -1752,7 +1752,7 @@ static void CG_PlayerFlag( centity_t *ce
 }
 
 
-#ifdef MISSIONPACK // bk001204
+#ifdef MISSIONPACK
 /*
 ===============
 CG_PlayerTokens
@@ -1971,7 +1971,7 @@ static void CG_PlayerSprites( centity_t 
 	team = cgs.clientinfo[ cent->currentState.clientNum ].team;
 	if ( !(cent->currentState.eFlags & EF_DEAD) && 
 		cg.snap->ps.persistant[PERS_TEAM] == team &&
-		cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		cgs.gametype >= GT_TEAM) {
 		if (cg_drawFriend.integer) {
 			CG_PlayerFloatSprite( cent, cgs.media.friendShader );
 		}
@@ -2025,7 +2025,7 @@ static qboolean CG_PlayerShadow( centity
 	// fade the shadow out with height
 	alpha = 1.0 - trace.fraction;
 
-	// bk0101022 - hack / FPE - bogus planes?
+	// hack / FPE - bogus planes?
 	//assert( DotProduct( trace.plane.normal, trace.plane.normal ) != 0.0f ) 
 
 	// add the mark as a temporary, so it goes directly to the renderer
diff -upr ioquake3svn1438/code/cgame/cg_playerstate.c ioquake3serverFix/code/cgame/cg_playerstate.c
--- ioquake3svn1438/code/cgame/cg_playerstate.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_playerstate.c	2008-08-09 11:28:23.000000000 -0500
@@ -427,7 +427,7 @@ void CG_CheckLocalSounds( playerState_t 
 		if ( !cg.warmup ) {
 			// never play lead changes during warmup
 			if ( ps->persistant[PERS_RANK] != ops->persistant[PERS_RANK] ) {
-				if ( cgs.gametype < GT_TEAM || cgs.ffa_gt==1) {
+				if ( cgs.gametype < GT_TEAM) {
 					if (  ps->persistant[PERS_RANK] == 0 ) {
 						CG_AddBufferedSound(cgs.media.takenLeadSound);
 					} else if ( ps->persistant[PERS_RANK] == RANK_TIED_FLAG ) {
diff -upr ioquake3svn1438/code/cgame/cg_predict.c ioquake3serverFix/code/cgame/cg_predict.c
--- ioquake3svn1438/code/cgame/cg_predict.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_predict.c	2008-08-09 11:28:23.000000000 -0500
@@ -260,18 +260,6 @@ CG_TouchItem
 */
 static void CG_TouchItem( centity_t *cent ) {
 	gitem_t		*item;
-	//For instantgib
-	qboolean	canBePicked;
-
-	if(cgs.gametype == GT_ELIMINATION || cgs.gametype == GT_LMS)
-		return; //No weapon pickup in elimination
-
-	//normally we can
-	canBePicked = qtrue;
-
-	//But in instantgib, rocket arena, and CTF_ELIMINATION we normally can't:
-	if(cgs.instantgib || cgs.rockets || cgs.gametype == GT_CTF_ELIMINATION)
-		canBePicked = qfalse;
 
 	if ( !cg_predictItems.integer ) {
 		return;
@@ -293,15 +281,15 @@ static void CG_TouchItem( centity_t *cen
 
 	// Special case for flags.  
 	// We don't predict touching our own flag
-#if 1 //MISSIONPACK
+#ifdef MISSIONPACK
 	if( cgs.gametype == GT_1FCTF ) {
 		if( item->giTag != PW_NEUTRALFLAG ) {
 			return;
 		}
 	}
-	if( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_HARVESTER ) {
+	if( cgs.gametype == GT_CTF || cgs.gametype == GT_HARVESTER ) {
 #else
-	if( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION ) {
+	if( cgs.gametype == GT_CTF ) {
 #endif
 		if (cg.predictedPlayerState.persistant[PERS_TEAM] == TEAM_RED &&
 			item->giTag == PW_REDFLAG)
@@ -309,50 +297,22 @@ static void CG_TouchItem( centity_t *cen
 		if (cg.predictedPlayerState.persistant[PERS_TEAM] == TEAM_BLUE &&
 			item->giTag == PW_BLUEFLAG)
 			return;
-		//Even in instantgib, we can predict our enemy flag
-		if (cg.predictedPlayerState.persistant[PERS_TEAM] == TEAM_RED &&
-			item->giTag == PW_BLUEFLAG && (!cgs.oneway || cgs.attackingTeam == TEAM_RED))
-			canBePicked = qtrue;
-		if (cg.predictedPlayerState.persistant[PERS_TEAM] == TEAM_BLUE &&
-			item->giTag == PW_REDFLAG && (!cgs.oneway || cgs.attackingTeam == TEAM_BLUE))
-			canBePicked = qtrue;
-		if (item->giTag == WP_RAILGUN)
-			canBePicked = qfalse;
-		if (item->giTag == WP_PLASMAGUN)
-			canBePicked = qfalse;
-	}
-
-	//Currently we don't predict anything in Double Domination because it looks like we take a flag
-	if( cgs.gametype == GT_DOUBLE_D ) {
-		if(cgs.redflag == TEAM_NONE)
-			return; //Can never pick if just one flag is NONE (because then the other is too)
-		if(item->giTag == PW_REDFLAG){ //at point A
-			//if(cgs.redflag == cg.predictedPlayerState.persistant[PERS_TEAM]) //already taken
-				return;
-		}	
-		if(item->giTag == PW_BLUEFLAG){ //at point B
-			//if(cgs.blueflag == cg.predictedPlayerState.persistant[PERS_TEAM]) //already taken
-				return;
-		}	
 	}
 
 	// grab it
-	if(canBePicked)
-	{
-		BG_AddPredictableEventToPlayerstate( EV_ITEM_PICKUP, cent->currentState.modelindex , &cg.predictedPlayerState);
-
-		// remove it from the frame so it won't be drawn
-		cent->currentState.eFlags |= EF_NODRAW;
-
-		// don't touch it again this prediction
-		cent->miscTime = cg.time;
-
-		// if its a weapon, give them some predicted ammo so the autoswitch will work
-		if ( item->giType == IT_WEAPON ) {
-			cg.predictedPlayerState.stats[ STAT_WEAPONS ] |= 1 << item->giTag;
-			if ( !cg.predictedPlayerState.ammo[ item->giTag ] ) {
-				cg.predictedPlayerState.ammo[ item->giTag ] = 1;
-			}
+	BG_AddPredictableEventToPlayerstate( EV_ITEM_PICKUP, cent->currentState.modelindex , &cg.predictedPlayerState);
+
+	// remove it from the frame so it won't be drawn
+	cent->currentState.eFlags |= EF_NODRAW;
+
+	// don't touch it again this prediction
+	cent->miscTime = cg.time;
+
+	// if its a weapon, give them some predicted ammo so the autoswitch will work
+	if ( item->giType == IT_WEAPON ) {
+		cg.predictedPlayerState.stats[ STAT_WEAPONS ] |= 1 << item->giTag;
+		if ( !cg.predictedPlayerState.ammo[ item->giTag ] ) {
+			cg.predictedPlayerState.ammo[ item->giTag ] = 1;
 		}
 	}
 }
@@ -423,135 +383,7 @@ static void CG_TouchTriggerPrediction( v
 	}
 }
 
-//unlagged - optimized prediction
-#define ABS(x) ((x) < 0 ? (-(x)) : (x))
-
-static int IsUnacceptableError( playerState_t *ps, playerState_t *pps ) {
-	vec3_t delta;
-	int i;
-
-	if ( pps->pm_type != ps->pm_type ||
-			pps->pm_flags != ps->pm_flags ||
-			pps->pm_time != ps->pm_time ) {
-		return 1;
-	}
-
-	VectorSubtract( pps->origin, ps->origin, delta );
-	if ( VectorLengthSquared( delta ) > 0.1f * 0.1f ) {
-		if ( cg_showmiss.integer ) {
-			CG_Printf("delta: %.2f  ", VectorLength(delta) );
-		}
-		return 2;
-	}
-
-	VectorSubtract( pps->velocity, ps->velocity, delta );
-	if ( VectorLengthSquared( delta ) > 0.1f * 0.1f ) {
-		if ( cg_showmiss.integer ) {
-			CG_Printf("delta: %.2f  ", VectorLength(delta) );
-		}
-		return 3;
-	}
-
-	if ( pps->weaponTime != ps->weaponTime ||
-			pps->gravity != ps->gravity ||
-			pps->speed != ps->speed ||
-			pps->delta_angles[0] != ps->delta_angles[0] ||
-			pps->delta_angles[1] != ps->delta_angles[1] ||
-			pps->delta_angles[2] != ps->delta_angles[2] || 
-			pps->groundEntityNum != ps->groundEntityNum ) {
-		return 4;
-	}
-
-	if ( pps->legsTimer != ps->legsTimer ||
-			pps->legsAnim != ps->legsAnim ||
-			pps->torsoTimer != ps->torsoTimer ||
-			pps->torsoAnim != ps->torsoAnim ||
-			pps->movementDir != ps->movementDir ) {
-		return 5;
-	}
-
-	VectorSubtract( pps->grapplePoint, ps->grapplePoint, delta );
-	if ( VectorLengthSquared( delta ) > 0.1f * 0.1f ) {
-		return 6;
-	}
-
-	if ( pps->eFlags != ps->eFlags ) {
-		return 7;
-	}
-
-	if ( pps->eventSequence != ps->eventSequence ) {
-		return 8;
-	}
-
-	for ( i = 0; i < MAX_PS_EVENTS; i++ ) {
-		if ( pps->events[i] != ps->events[i] ||
-				pps->eventParms[i] != ps->eventParms[i] ) {
-			return 9;
-		}
-	}
-
-	if ( pps->externalEvent != ps->externalEvent ||
-			pps->externalEventParm != ps->externalEventParm ||
-			pps->externalEventTime != ps->externalEventTime ) {
-		return 10;
-	}
-
-	if ( pps->clientNum != ps->clientNum ||
-			pps->weapon != ps->weapon ||
-			pps->weaponstate != ps->weaponstate ) {
-		return 11;
-	}
-
-	if ( ABS(pps->viewangles[0] - ps->viewangles[0]) > 1.0f ||
-			ABS(pps->viewangles[1] - ps->viewangles[1]) > 1.0f ||
-			ABS(pps->viewangles[2] - ps->viewangles[2]) > 1.0f ) {
-		return 12;
-	}
-
-	if ( pps->viewheight != ps->viewheight ) {
-		return 13;
-	}
-
-	if ( pps->damageEvent != ps->damageEvent ||
-			pps->damageYaw != ps->damageYaw ||
-			pps->damagePitch != ps->damagePitch ||
-			pps->damageCount != ps->damageCount ) {
-		return 14;
-	}
-
-	for ( i = 0; i < MAX_STATS; i++ ) {
-		if ( pps->stats[i] != ps->stats[i] ) {
-			return 15;
-		}
-	}
-
-	for ( i = 0; i < MAX_PERSISTANT; i++ ) {
-		if ( pps->persistant[i] != ps->persistant[i] ) {
-			return 16;
-		}
-	}
-
-	for ( i = 0; i < MAX_POWERUPS; i++ ) {
-		if ( pps->powerups[i] != ps->powerups[i] ) {
-			return 17;
-		}
-	}
-
-	for ( i = 0; i < MAX_WEAPONS; i++ ) {
-		if ( pps->ammo[i] != ps->ammo[i] ) {
-			return 18;
-		}
-	}
 
-	if ( pps->generic1 != ps->generic1 ||
-			pps->loopSound != ps->loopSound ||
-			pps->jumppad_ent != ps->jumppad_ent ) {
-		return 19;
-	}
-
-	return 0;
-}
-//unlagged - optimized prediction
 
 /*
 =================
@@ -585,10 +417,6 @@ void CG_PredictPlayerState( void ) {
 	qboolean	moved;
 	usercmd_t	oldestCmd;
 	usercmd_t	latestCmd;
-//unlagged - optimized prediction
-	int stateIndex = 0, predictCmd = 0; //Sago: added initializing
-	int numPredicted = 0, numPlayedBack = 0; // debug code
-//unlagged - optimized prediction
 
 	cg.hyperspace = qfalse;	// will be set if touching a trigger_teleport
 
@@ -671,91 +499,6 @@ void CG_PredictPlayerState( void ) {
 	cg_pmove.pmove_fixed = pmove_fixed.integer;// | cg_pmove_fixed.integer;
 	cg_pmove.pmove_msec = pmove_msec.integer;
 
-//unlagged - optimized prediction
-	// Like the comments described above, a player's state is entirely
-	// re-predicted from the last valid snapshot every client frame, which
-	// can be really, really, really slow.  Every old command has to be
-	// run again.  For every client frame that is *not* directly after a
-	// snapshot, this is unnecessary, since we have no new information.
-	// For those, we'll play back the predictions from the last frame and
-	// predict only the newest commands.  Essentially, we'll be doing
-	// an incremental predict instead of a full predict.
-	//
-	// If we have a new snapshot, we can compare its player state's command
-	// time to the command times in the queue to find a match.  If we find
-	// a matching state, and the predicted version has not deviated, we can
-	// use the predicted state as a base - and also do an incremental predict.
-	//
-	// With this method, we get incremental predicts on every client frame
-	// except a frame following a new snapshot in which there was a prediction
-	// error.  This yeilds anywhere from a 15% to 40% performance increase,
-	// depending on how much of a bottleneck the CPU is.
-
-	if ( cg_optimizePrediction.integer ) {
-		if ( cg.nextFrameTeleport || cg.thisFrameTeleport ) {
-			// do a full predict
-			cg.lastPredictedCommand = 0;
-			cg.stateTail = cg.stateHead;
-			predictCmd = current - CMD_BACKUP + 1;
-		}
-		// cg.physicsTime is the current snapshot's serverTime
-		// if it's the same as the last one
-		else if ( cg.physicsTime == cg.lastServerTime ) {
-			// we have no new information, so do an incremental predict
-			predictCmd = cg.lastPredictedCommand + 1;
-		}
-		else {
-			// we have a new snapshot
-
-			int i;
-			qboolean error = qtrue;
-
-			// loop through the saved states queue
-			for ( i = cg.stateHead; i != cg.stateTail; i = (i + 1) % NUM_SAVED_STATES ) {
-				// if we find a predicted state whose commandTime matches the snapshot player state's commandTime
-				if ( cg.savedPmoveStates[i].commandTime == cg.predictedPlayerState.commandTime ) {
-					// make sure the state differences are acceptable
-					int errorcode = IsUnacceptableError( &cg.predictedPlayerState, &cg.savedPmoveStates[i] );
-
-					// too much change?
-					if ( errorcode ) {
-						if ( cg_showmiss.integer ) {
-							CG_Printf("errorcode %d at %d\n", errorcode, cg.time);
-						}
-						// yeah, so do a full predict
-						break;
-					}
-
-					// this one is almost exact, so we'll copy it in as the starting point
-					*cg_pmove.ps = cg.savedPmoveStates[i];
-					// advance the head
-					cg.stateHead = (i + 1) % NUM_SAVED_STATES;
-
-					// set the next command to predict
-					predictCmd = cg.lastPredictedCommand + 1;
-
-					// a saved state matched, so flag it
-					error = qfalse;
-					break;
-				}
-			}
-
-			// if no saved states matched
-			if ( error ) {
-				// do a full predict
-				cg.lastPredictedCommand = 0;
-				cg.stateTail = cg.stateHead;
-				predictCmd = current - CMD_BACKUP + 1;
-			}
-		}
-
-		// keep track of the server time of the last snapshot so we
-		// know when we're starting from a new one in future calls
-		cg.lastServerTime = cg.physicsTime;
-		stateIndex = cg.stateHead;
-	}
-//unlagged - optimized prediction
-
 	// run cmds
 	moved = qfalse;
 	for ( cmdNum = current - CMD_BACKUP + 1 ; cmdNum <= current ; cmdNum++ ) {
@@ -838,50 +581,7 @@ void CG_PredictPlayerState( void ) {
 			cg_pmove.cmd.serverTime = ((cg_pmove.cmd.serverTime + pmove_msec.integer-1) / pmove_msec.integer) * pmove_msec.integer;
 		}
 
-//unlagged - optimized prediction
-		if ( cg_optimizePrediction.integer ) {
-			// if we need to predict this command, or we've run out of space in the saved states queue
-			if ( cmdNum >= predictCmd || (stateIndex + 1) % NUM_SAVED_STATES == cg.stateHead ) {
-				// run the Pmove
-				Pmove (&cg_pmove);
-
-				numPredicted++; // debug code
-
-				// record the last predicted command
-				cg.lastPredictedCommand = cmdNum;
-
-				// if we haven't run out of space in the saved states queue
-				if ( (stateIndex + 1) % NUM_SAVED_STATES != cg.stateHead ) {
-					// save the state for the false case (of cmdNum >= predictCmd)
-					// in later calls to this function
-					cg.savedPmoveStates[stateIndex] = *cg_pmove.ps;
-					stateIndex = (stateIndex + 1) % NUM_SAVED_STATES;
-					cg.stateTail = stateIndex;
-				}
-			}
-			else {
-				numPlayedBack++; // debug code
-
-				if ( cg_showmiss.integer && 
-						cg.savedPmoveStates[stateIndex].commandTime != cg_pmove.cmd.serverTime) {
-					// this should ONLY happen just after changing the value of pmove_fixed
-					CG_Printf( "saved state miss\n" );
-				}
-
-				// play back the command from the saved states
-				*cg_pmove.ps = cg.savedPmoveStates[stateIndex];
-
-				// go to the next element in the saved states array
-				stateIndex = (stateIndex + 1) % NUM_SAVED_STATES;
-			}
-		}
-		else {
-			// run the Pmove
-			Pmove (&cg_pmove);
-
-			numPredicted++; // debug code
-		}
-//unlagged - optimized prediction
+		Pmove (&cg_pmove);
 
 		moved = qtrue;
 
@@ -892,15 +592,6 @@ void CG_PredictPlayerState( void ) {
 		//CG_CheckChangedPredictableEvents(&cg.predictedPlayerState);
 	}
 
-//unlagged - optimized prediction
-	// do a /condump after a few seconds of this
-	//CG_Printf("cg.time: %d, numPredicted: %d, numPlayedBack: %d\n", cg.time, numPredicted, numPlayedBack); // debug code
-	// if everything is working right, numPredicted should be 1 more than 98%
-	// of the time, meaning only ONE predicted move was done in the frame
-	// you should see other values for numPredicted after IsUnacceptableError
-	// returns nonzero, and that's it
-//unlagged - optimized prediction
-
 	if ( cg_showmiss.integer > 1 ) {
 		CG_Printf( "[%i : %i] ", cg_pmove.cmd.serverTime, cg.time );
 	}
Only in ioquake3svn1438/code/cgame: cg_predict.orig.c
diff -upr ioquake3svn1438/code/cgame/cg_scoreboard.c ioquake3serverFix/code/cgame/cg_scoreboard.c
--- ioquake3svn1438/code/cgame/cg_scoreboard.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_scoreboard.c	2008-08-09 11:28:23.000000000 -0500
@@ -176,16 +176,8 @@ static void CG_DrawClientScore( int y, s
 		Com_sprintf(string, sizeof(string),
 			" SPECT %3i %4i %s", score->ping, score->time, ci->name);
 	} else {
-		if(cgs.gametype == GT_LMS)
-			Com_sprintf(string, sizeof(string),
-				"%5i %4i %4i %s *%i*", score->score, score->ping, score->time, ci->name, ci->isDead);
-		else
-		if(ci->isDead)
-			Com_sprintf(string, sizeof(string),
-				"%5i %4i %4i %s *DEAD*", score->score, score->ping, score->time, ci->name);
-		else
-			Com_sprintf(string, sizeof(string),
-				"%5i %4i %4i %s", score->score, score->ping, score->time, ci->name);
+		Com_sprintf(string, sizeof(string),
+			"%5i %4i %4i %s", score->score, score->ping, score->time, ci->name);
 	}
 
 	// highlight your position
@@ -195,10 +187,8 @@ static void CG_DrawClientScore( int y, s
 
 		localClient = qtrue;
 
-		if ( ( cg.snap->ps.persistant[PERS_TEAM] == TEAM_SPECTATOR ) ||
-			( ( cgs.gametype >= GT_TEAM ) &&
-			( cgs.ffa_gt != 1 ) ) ) {
-			// Sago: I think this means that it doesn't matter if to players are tied in team game - only team score counts
+		if ( cg.snap->ps.persistant[PERS_TEAM] == TEAM_SPECTATOR 
+			|| cgs.gametype >= GT_TEAM ) {
 			rank = -1;
 		} else {
 			rank = cg.snap->ps.persistant[PERS_RANK] & ~RANK_TIED_FLAG;
@@ -325,7 +315,7 @@ qboolean CG_DrawOldScoreboard( void ) {
 	}
 
 	// current rank
-	if ( cgs.gametype < GT_TEAM || cgs.ffa_gt == 1) {
+	if ( cgs.gametype < GT_TEAM) {
 		if (cg.snap->ps.persistant[PERS_TEAM] != TEAM_SPECTATOR ) {
 			s = va("%s place with %i",
 				CG_PlaceString( cg.snap->ps.persistant[PERS_RANK] + 1 ),
@@ -375,7 +365,7 @@ qboolean CG_DrawOldScoreboard( void ) {
 
 	localClient = qfalse;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		//
 		// teamplay scoreboard
 		//
@@ -506,7 +496,7 @@ void CG_DrawOldTourneyScoreboard( void )
 	// print the two scores
 
 	y = 160;
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		//
 		// teamplay scoreboard
 		//
Only in ioquake3svn1438/code/cgame: cg_scoreboard.orig.c
